Subject: Re: bug#30239: Renaming environment "slide" to "frame"

From: Arash Esbati <[email-masked]>
Date: Wed, 24 Jan 2018 21:41:24 +0100

Mosè Giordano <[email-masked]> writes:

> 2018-01-24 19:10 GMT+01:00 Agathe Herrou <[email-masked]>:
>> Hello,
>>
>> When using AUCTeX with Beamer, the default environment when running C-c
>> C-e is "slide". As far as I know, this environment doesn't exist, and
>> the correct one is "frame". Attached is a suggested corrective.
>
> Thanks for your contribution, however there is no "slide" environment
> in our style file for beamer:
> https://git.savannah.gnu.org/cgit/auctex.git/tree/style/beamer.el

Hi Mosè,

looking at the manual of beamer, page 222, there is actually a "slide"
environment:

    \begin{slide}[<options>]{<frame title>}
      <environment contents>
    \end{slide}
    ...
    Example: The following two texts have the same effect:
    \begin{slide}[trans=Glitter,toc=short]{A Title}
      Hi!
    \end{slide}
    and
    \subsection{short} % omitted, if framesassubsections is not specified
    \begin{frame}[fragile=singleslide]
      \transglitter
      \frametitle{A Title}
      Hi!
    \end{frame}

So we should add it instead of removing it :-)  Do you know if Thomas is
still active?  I have never used beamer so I would have to read to
manual first before touching the style.

Best, Arash